﻿using System.ComponentModel;

namespace SilverlightApplication1
{
	public class Member : INotifyPropertyChanged
	{
		private string name;

		public Member(string name)
		{
			this.Name = name;
		}

		public string Name
		{
			get
			{
				return this.name;
			}
			set
			{
				if (this.name != value)
				{
					this.name = value;
					OnNotifyPropertyChanged("Name");
				}
			}
		}
		
		#region INotifyPropertyChanged Members

		public event PropertyChangedEventHandler PropertyChanged;
		private void OnNotifyPropertyChanged(string propertyName)
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}

		#endregion
	}
}
